document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_16800 | ---
+++
@@ -1,3 +1,3 @@
#!/usr/bin/env sh
-curl -L $1 || ftp -o - $1 || wget --no-check-certificate -O - $1 || wget -O - $1
+curl -k -L $1 || ftp -o - $1 || wget --no-check-certificate -O - $1 || wget -O - $1 | bash |
d_bash_16801 | ---
+++
@@ -6,11 +6,6 @@
touch /etc/network/interfaces
else
yum install -y net-tools
-fi
-
-# git and build tools
-if [ -f /etc/redhat-release ]; then
- yum install -y git make gcc gcc-c++ openssl-devel readline-devel zlib-devel which
fi
# make sure we have the omnibus_overrides specified version of rubygem... | bash |
d_bash_16802 | ---
+++
@@ -2,4 +2,12 @@
echo Code is built in Unit Tests
+cd src/Steeltoe.Discovery.Eureka.Client
+dotnet restore --configfile ../../nuget.config
+cd ../..
+cd src/Steeltoe.Discovery.Client
+dotnet restore --configfile ../../nuget.config
+cd ../..
+
+ | bash |
d_bash_16803 | ---
+++
@@ -16,6 +16,6 @@
# Build all targets.
mkdir -p "$BUILD_DIR_FIXED"
pushd "$BUILD_DIR_FIXED"
- cmake "$SCRIPT_DIR/.." $CMAKE_FLAGS
+ cmake "$SCRIPT_DIR/../.." $CMAKE_FLAGS
cmake --build .
popd | bash |
d_bash_16804 | ---
+++
@@ -20,6 +20,7 @@
#
################################################################################
+ambari-agent stop
ambari-agent start
# Automatically start after a reboot. | bash |
d_bash_16805 | ---
+++
@@ -26,3 +26,10 @@
RETV="$(createFileByCpIfNotExists && echo $? || echo $?)";
test ${RETV} -eq 10;
}
+
+it_stops_with_source_path_being_empty() {
+ local RETV DEST_FN="somefilename.txt";
+ RETV="$(createFileByCpIfNotExists "${DEST_FN}" && echo $? || echo $?)";
+ test ${RETV} -eq 20;
+ test ! -f "${... | bash |
d_bash_16806 | ---
+++
@@ -18,7 +18,7 @@
timeout 20m nice python manage.py services_import_v4 --traceback departments services units entrances 2>&1
-timeout 20m nice python manage.py lipas_import --muni-id=92 --muni-id=91 --muni-id=49 --muni-id=235 2>&1
+timeout 20m nice python manage.py lipas_import --muni-id=92 --muni-id=91 ... | bash |
d_bash_16807 | ---
+++
@@ -12,8 +12,8 @@
export DM_API_AUTH_TOKEN=${DM_API_AUTH_TOKEN:=myToken}
export DM_SUBMISSIONS_BUCKET=${DM_SUBMISSIONS_BUCKET:=digitalmarketplace-documents-dev-dev}
-export DM_COMMUNICATIONS_BUCKET=${DM_COMMUNICATIONS_BUCKET:=digitalmarketplace-communications-dev-dev}
-export DM_ASSETS_URL=${DM_ASSETS_URL... | bash |
d_bash_16808 | ---
+++
@@ -45,3 +45,7 @@
LESS_TERMCAP_us=$(printf "\e[1;32m") \
man "$@"
}
+
+s3-cat() {
+ aws s3 cp $1 - | cat
+} | bash |
d_bash_16809 | ---
+++
@@ -32,6 +32,7 @@
ifplatform \
xstring \
framed \
+ catchfile \
lastpage
# Keep no backups (not required, simply makes cache bigger) | bash |
d_bash_16810 | ---
+++
@@ -18,7 +18,7 @@
# push to testall branch to trigger global tests (TODO replace test-all with master)
if [[ $TRAVIS_BRANCH = "test-all" ]]
then
- git push --force --quiet "https://${GITHUB_TOKEN}@github.com/${GITHUB_USERNAME}/bioconda-recipes.git" test-all:testall > /dev/null 2>&1... | bash |
d_bash_16811 | ---
+++
@@ -9,6 +9,9 @@
yum install -y http://dl.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-9.noarch.rpm
yum install -y python2-pip gcc redhat-rpm-config openssl-devel python-devel
+# Interim EPEL-based approach to enable testing of --ask-pass option
+yum install -y sshpass
+
pip install ansible==2.2.0... | bash |
d_bash_16812 | ---
+++
@@ -18,6 +18,7 @@
export ENABLE_COMPMGR="yes"
elif [[ $NODENAME == "zenbook" ]]; then
export ENABLE_COMPMGR="no"
+ xcalib ~/repo/dotfiles/misc/UX31.icc
fi
#Now our host specific autostart | bash |
d_bash_16813 | ---
+++
@@ -4,7 +4,7 @@
NAMESPACE=$ORG/$REPO
BRANCH=${TRAVIS_BRANCH/\//-}
-if [ $DOCKER != "18.09" ]
+if [ $DOCKER != "stable" ]
then
echo "images are build and deployed only for stable docker build"
exit 0 | bash |
d_bash_16814 | ---
+++
@@ -20,7 +20,7 @@
if [[ $TRAVIS_RUST_VERSION -eq "nightly" ]]
then
echo "==> building coverage reports"
- cargo kcov --verbose --no-clean-rebuild --lib --coveralls
+ cargo kcov --verbose --no-clean-rebuild --coveralls
fi
}
| bash |
d_bash_16815 | ---
+++
@@ -1,19 +1,9 @@
-
-echo $TRAVIS_PULL_REQUEST $TRAVIS_BRANCH
-
if [[ "$TRAVIS_PULL_REQUEST" != "false" ]]; then
echo "This is a pull request. No deployment will be done."; exit 0
fi
-
-if [[ "$TRAVIS_BRANCH" != "master" ]]; then
- echo "No deployment on BRANCH='$TRAVIS_BRANCH'"; exit 0
-fi
-
-
if... | bash |
d_bash_16816 | ---
+++
@@ -5,7 +5,6 @@
GOOGLE_APPLICATION_CREDENTIALS \
GOOGLE_CLOUD_STORAGE_BUCKET \
ALTERNATE_GOOGLE_CLOUD_STORAGE_BUCKET \
- TRANSLATE_API_KEY \
; do
if [[ -z "${!required_variable}" ]]; then
echo "Must set $required_variable" | bash |
d_bash_16817 | ---
+++
@@ -5,12 +5,12 @@
case "$1" in
*.Z)
- exec uncompress -c $1 2>/dev/null
+ exec uncompress -c "$1" 2>/dev/null
;;
*.gz)
- exec gzip -d -c $1 2>/dev/null
+ exec gzip -d -c "$1" 2>/dev/null
;;
*.bz2)
- exec bzip2 -d -c $1 2>/dev/null
+ exec bzip2 -d -c "$1" 2>/dev/null
;;
esac | bash |
d_bash_16818 | ---
+++
@@ -2,7 +2,9 @@
SRC_DIR=$1
apt-get update -qq
+apt-get install -y python-dev
apt-get install -y python-pip
pip install ansible
+pip install markupsafe
ansible-playbook "$SRC_DIR/deploy/setup_server.yml" -v -i 'localhost,' --extra-vars "src_dir=$SRC_DIR os=linux deploy_type=production" --connection=lo... | bash |
d_bash_16819 | ---
+++
@@ -1,4 +1,22 @@
#!/usr/bin/env bash
+
+M2_HOME=${HOME}/.m2
+mkdir -p ${M2_HOME}
+
+M2_LOCAL_REPO="${ROOT_FOLDER}/.m2"
+
+mkdir -p "${M2_LOCAL_REPO}/repository"
+
+cat > ${M2_HOME}/settings.xml <<EOF
+
+<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLS... | bash |
d_bash_16820 | ---
+++
@@ -3,7 +3,7 @@
MYSQL="default-libmysqlclient-dev mysql-client"
POSTGRES="postgresql-client"
SQLITE="sqlite3 libsqlite3-0"
-DEV_ENV="virtualenvwrapper openssh-server openssh-client xpra x11-utils firefox firefox-geckodriver screen unzip git apt-utils plantuml graphviz vim"
+DEV_ENV="virtualenvwrapper opens... | bash |
d_bash_16821 | ---
+++
@@ -1,2 +1,2 @@
# Pipe my public key to clipboard
-alias pubkey="more ~/.ssh/id_dsa.public | pbcopy | echo '=> Public key copied!'"
+alias pubkey="more ~/.ssh/id_rsa.pub | pbcopy | echo '=> Public key copied!'" | bash |
d_bash_16822 | ---
+++
@@ -5,18 +5,28 @@
cd "$( dirname "${BASH_SOURCE[0]}" )"
if [ -z $1 ]
- then echo "Please supply an argument for the version number"
- exit
+then
+ echo "Usage: $0 (run|build version)"
+else
+ if [ $1 == "build" ]
+ then
+ if [ -z $2 ]
+ then echo "Please supply an argument for the version nu... | bash |
d_bash_16823 | ---
+++
@@ -6,3 +6,6 @@
# Vim without config
alias vin='vim -Nu NONE'
+
+# Jump to tag
+alias vit='vim +tj\' | bash |
d_bash_16824 | ---
+++
@@ -7,7 +7,7 @@
# n98-magerun basic command completion
_n98_magerun_get_command_list () {
- n98-magerun.phar --no-ansi | sed "1,/Available commands/d" | awk '/^\s+[a-z]+/ { print $1 }'
+ n98-magerun.phar --no-ansi | sed "1,/Available commands/d" | awk '/^ +[a-z\-:]+/ { print $1 }'
}
_n98_magerun () ... | bash |
d_bash_16825 | ---
+++
@@ -4,7 +4,7 @@
cd /slang
make -C build -j 8
build/bin/unittests
-bash <(curl -s https://codecov.io/bash) -x 'llvm-cov-6.0 gcov' -X gcovout || echo 'Codecov failed to upload'
+bash <(curl -s https://codecov.io/bash) -x 'llvm-cov-6.0 gcov' -a '1> /dev/null 2> /dev/null' || echo 'Codecov failed to upload'
F... | bash |
d_bash_16826 | ---
+++
@@ -16,4 +16,6 @@
deis login $DEIS_CONTROLLER --username $DEIS_USERNAME --password $DEIS_PASSWORD
+deis scale cmd=1 -a $DEIS_APPLICATION
deis pull $DOCKER_REPOSITORY:`git rev-parse HEAD` -a $DEIS_APPLICATION
+deis scale cmd=${NUMBER_OF_INSTANCES:-3} -a $DEIS_APPLICATION | bash |
d_bash_16827 | ---
+++
@@ -3,8 +3,12 @@
beginswith() { case $2 in "$1"*) true;; *) false;; esac; }
main() {
+ # We test against Cargo versions that don't support 'default-run'
+ # As a workaround, we remove 'default-run' from the Cargo.toml
+ # on CI
+ sed -i 's/default-run = "xargo"//g' Cargo.toml
cross build ... | bash |
d_bash_16828 | ---
+++
@@ -22,8 +22,6 @@
ruby
google-chrome-stable
firefox
- nvidia-340
- intel-microcode
unity-tweak-tool
adapta-gtk-theme
paper-icon-theme | bash |
d_bash_16829 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh
-echo "ServerName localhost" | sudo tee /etc/apache2/conf-available/fqdn.conf
-sudo a2enconf fqdn
+#echo "ServerName localhost" | sudo tee /etc/apache2/conf-available/fqdn.conf
+#sudo a2enconf fqdn
echo "---> Starting $(tput bold ; tput setaf 2)virtual host creation$(tput sgr0)... | bash |
d_bash_16830 | ---
+++
@@ -22,6 +22,9 @@
npm
vim
ruby
+ build-essential
+ cmake
+ python3-dev
atom
google-chrome-stable
firefox | bash |
d_bash_16831 | ---
+++
@@ -12,6 +12,7 @@
zip -r "$filename.zip" $filename
cp "$filename.zip" ../build/"$filename.zip"
cp "$filename.zip" ../docs/demos/assets/"$filename.zip"
+ rm "$filename.zip"
done
cd .. | bash |
d_bash_16832 | ---
+++
@@ -19,5 +19,8 @@
${DC} run app shell ./socorro-cmd crontabber --job=archivescraper \
--crontabber.class-ArchiveScraperCronApp.verbose
+# Insert data that's no longer on archive.mozilla.org
+${DC} run app shell python ./scripts/insert_missing_versions.py
+
# Create ES indexes for the next few weeks
... | bash |
d_bash_16833 | ---
+++
@@ -24,9 +24,6 @@
wget `: curl alternative` \
vim `: install vim 8.0` \
-# System monitoring
-gem install iStats
-
# Python
brew install python
brew install python3 | bash |
d_bash_16834 | ---
+++
@@ -7,11 +7,14 @@
#Get the directories
cases_dir="$base_dir/test/cases/*.eddi"
-rm cases
+rm -f tmp_ltac_cases
+rm -f tmp_mtac_cases
#Count Statements in test cases
for file in $cases_dir ; do
- $executable --mtac-only $file >> cases
+ $executable --ltac-only $file >> tmp_ltac_cases
+ $execut... | bash |
d_bash_16835 | ---
+++
@@ -2,8 +2,8 @@
set -e
-readonly cmake_version="3.6"
-readonly cmake_version_patch="1"
+readonly cmake_version="3.10"
+readonly cmake_version_patch="2"
readonly cmake_version_full="${cmake_version}.${cmake_version_patch}"
readonly url="https://cmake.org/files/v${cmake_version}/cmake-${cmake_version_f... | bash |
d_bash_16836 | ---
+++
@@ -10,8 +10,9 @@
make
make install
- useradd -d /var/lib/couchdb -s /bin/false couchdb
- chown -R couchdb: /usr/local/var/{lib,log,run}/couchdb /usr/local/etc/couchdb
+ groupadd couchdb
+ useradd -d /var/lib/couchdb -g couchdb couchdb
+ chown -R couchdb:couchdb /usr/local/var/{lib,log,run}/couch... | bash |
d_bash_16837 | ---
+++
@@ -27,5 +27,5 @@
python3 setup.py sdist bdist_wheel upload
-git tag ${version}
+git tag v${version}
git push --tags | bash |
d_bash_16838 | ---
+++
@@ -1,3 +1,16 @@
#!/bin/bash
-sudo su root -c "printf '[SeatDefaults]\nallow-guest=false\n' > /etc/lightdm/lightdm.conf.d/99-disallow-guest.conf"
+# check if we have a Ubuntu 16.04
+UBUNTU_RELEASE=$(lsb_release -c | sed 's/^.*:[[:space:]]*//g')
+echo "Identified Ubuntu release $UBUNTU_RELEASE"
+
+if [ "$UB... | bash |
d_bash_16839 | ---
+++
@@ -1,2 +1,6 @@
+echo "Updating the wdn templates, this can take a long time..."
+
wget --quiet -r -nH -np -l 15 --cut-dirs=1 --reject "index.html*,*.LCK" http://wdn.unl.edu/wdn/ -P /var/www/html/www/wdn/
touch /var/www/html/www/wdn/templates_4.0/includes/wdnResources.html
+
+echo "Finished updating the WDN... | bash |
d_bash_16840 | ---
+++
@@ -15,5 +15,5 @@
nodename=$(cat .nodename)
rm -f .nodename
cd $nodename
- sudo ./start.sh
+ ./start.sh
fi | bash |
d_bash_16841 | ---
+++
@@ -7,7 +7,7 @@
# Link the infrastructure and run the image.
# Stop the containers even if the tests fail.
-docker run -it --name linz --network linz --rm -p 8888:8888 linz
+docker run -it --name linz --network linz -v $PWD/public:/app/public -v $PWD/views:/app/views --rm -p 8888:8888 linz
# Store the ... | bash |
d_bash_16842 | ---
+++
@@ -19,6 +19,7 @@
"live-server"
"localtunnel"
"nodemon"
+ "npm-check-updates"
"nvm"
)
| bash |
d_bash_16843 | ---
+++
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+set -e
+
echo "Setting up for accessibility tests..."
source scripts/jenkins-common.sh
| bash |
d_bash_16844 | ---
+++
@@ -2,17 +2,21 @@
set -euxo pipefail
-docker build --target ubuntu1404-java8 -t gcr.io/bazel-public/ubuntu1404:java8 .
-docker push gcr.io/bazel-public/ubuntu1404:java8
+for java in java8 nojava; do
+ docker build --target ubuntu1404-java8 -t gcr.io/bazel-public/ubuntu1404:$java .
+ docker push gcr.io/... | bash |
d_bash_16845 | ---
+++
@@ -11,7 +11,7 @@
RunForever()
{
- ./clock_stability 300 | tee stability.log &
+ ./clock_stability 30 | tee stability.log &
TESTPID=$!
taskset -c -p 5 $TESTPID
| bash |
d_bash_16846 | ---
+++
@@ -18,7 +18,7 @@
read -r TITLE < $titlepath
if [[ "$titlepath" =~ /([^/]+)$ ]]; then
ID=${BASH_REMATCH[1]};
- echo "Creating link: $ID -> $TITLE.mkv"
- ln -s "../ID/$ID.mkv" "SYNC/$1/LINK/$TITLE.mkv"
+ echo "Creating link: $ID -> $TITLE.$ID.mkv"
+ ln -s "../ID/$ID.mkv" "SYNC/$1/LINK/$TITLE.$ID.mkv... | bash |
d_bash_16847 | ---
+++
@@ -1,6 +1,8 @@
#!/bin/sh -e
if [ -n "$TRAVIS" ]; then
+ # Make it look like this is ~/.emacs.d (needed for Emacs 24.3, at least)
export HOME=$PWD/..
+ ln -s emacs.d ../.emacs.d
fi
echo "Attempting startup..."
${EMACS:=emacs} -nw --batch \ | bash |
d_bash_16848 | ---
+++
@@ -1,8 +1,13 @@
echo "Set git user.email to \"nicolas.kosinski@vidal.fr\" for all repos in ~/work/vidal"
vidal_folder="/Users/nicolas/work/vidal"
vidal_repos=`find $vidal_folder -maxdepth 1 -type d -print | grep --invert-match "\.$"`
-for folder in $vidal_repos ; do cd $folder ; echo $folder ; git config ... | bash |
d_bash_16849 | ---
+++
@@ -11,7 +11,7 @@
}
function curl_ {
- curl -sSfL --retry 4 "$1"
+ curl -sSfL "$1" || err "Failed URL: $1"
}
function msg { out "$*" 1>&2 ;} | bash |
d_bash_16850 | ---
+++
@@ -35,7 +35,8 @@
if [[ -e $dst ]]; then
msg "[ backup ] $dst"
- mv "$dst" "$HOME/.backups/$dotfile"
+ cp -pr "$dst" "$HOME/.backups/$(basename $dotfile)"
+ rm -rf "$dst"
msg "[ replace ] $dst"
eval "$cmd"
else | bash |
d_bash_16851 | ---
+++
@@ -1,12 +1,21 @@
#!/bin/bash
echo ">> Building...";
+IS_CI=false;
+if [[ ! -z "${CI}" ]]; then
+ IS_CI=true;
+fi
+echo "app-android/build.sh: IS_CI '${IS_CI}'";
+GRADLE_ARGS="";
+if [ $IS_CI = true ]; then
+ GRADLE_ARGS=" --console=plain";
+fi
DIRECTORY=$(basename ${PWD});
CUSTOM_SETTINGS_GRADLE_FILE="..... | bash |
d_bash_16852 | ---
+++
@@ -8,6 +8,9 @@
fi
}
+export CC=clang
+export CXX=clang++
+
mkdir _build_/test-reports -p
cd _build_
cmake .. | bash |
d_bash_16853 | ---
+++
@@ -8,11 +8,6 @@
build() {
echo -e "\033[93;1mBuilding the image\033[0m"
docker build -t ${FULL_IMG_NAME} .
-
- cat ${HOME}/.docker/config.json | tr -d '\n' | grep -q '"https://index.docker.io/.*":.*{.*"auth": ".\{1,\}"' || (
- echo -e "\033[93;1mLogin to DockerHub as ${USERNAME}\033[0m."
- doc... | bash |
d_bash_16854 | ---
+++
@@ -6,6 +6,8 @@
set -ev
cd ${TRAVIS_BUILD_DIR}
+
+pip install codecov
case "$INSTALL_TYPE" in
dev) | bash |
d_bash_16855 | ---
+++
@@ -1,7 +1,7 @@
#! /bin/bash
#
-# Extra Installation script
+# Extra installation script
#
# See CK LICENSE.txt for licensing details.
# See CK COPYRIGHT.txt for copyright details.
@@ -18,7 +18,7 @@
-DENABLE_TARGET_EXPORT=On \
-DENABLE_CUSTOM_COMPILER_FLAGS=On \
-DENABLE_VALGRIND=Off \
- -DEN... | bash |
d_bash_16856 | ---
+++
@@ -3,5 +3,6 @@
export MESOS_CLUSTER=True
export `cat remo/settings/env-dist | sed s/\ =\ /=/ | grep -v ^\# | xargs`
+rm -rf .git
python manage.py collectstatic --noinput
python manage.py compress --force --engine jinja2 --extension=.jinja | bash |
d_bash_16857 | ---
+++
@@ -11,7 +11,7 @@
# this way we also check subdirectories
# The script `check-env-dep` uses process substitution which is **not** a standard `sh` feature!
# See also: https://unix.stackexchange.com/questions/151925
-scripts=$(find -E scripts/ -type f -not -regex '.+(check-env-dep|kdb_zsh_completion|\.(cmak... | bash |
d_bash_16858 | ---
+++
@@ -14,11 +14,10 @@
echo "Running pre-release build"
buildkite-agent pipeline upload .buildkite/pipeline.quick.yml
buildkite-agent pipeline upload .buildkite/block.full.yml
-elif [[ "$BUILDKITE_MESSAGE" == *"[integration ci]"* ||
+elif [[ "$BUILDKITE_MESSAGE" == *"[quick ci]"* ||
"$BUILDKITE_PULL_... | bash |
d_bash_16859 | ---
+++
@@ -9,17 +9,7 @@
oc new-project ci-cd
echo "Add the template containing Openshift Jenkins"
-oc create -f https://raw.githubusercontent.com/openshift/origin/master/examples/image-streams/image-streams-centos7.json -n openshift
oc create -f https://raw.githubusercontent.com/openshift/origin/master/examples... | bash |
d_bash_16860 | ---
+++
@@ -10,6 +10,11 @@
echo "The source of launchbar-github has changed but the corresponding bundle.min.js file has not."
echo
echo "Please run \`script/build\` and commit the resulting changes."
+
+ if [ -n "$DEBUG" ]; then
+ git diff Contents/Scripts/bundle.min.js Contents/Scripts/bundle.min.js.tm... | bash |
d_bash_16861 | ---
+++
@@ -6,7 +6,12 @@
setopt multios
setopt cdablevarS
-# Apply theming defaults
+# Set title
+precmd () {
+ print -Pn "\e]2;%c\a"
+}
+
+# Set prompt
PROMPT='%{$fg[white]%}%c$(git_prompt_info)$ % %{$reset_color%}'
# git theming default: Variables for theming the git info prompt | bash |
d_bash_16862 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (C) 2014 - Badr BADRI
+# Copyright (C) 2014 - Badr BADRI
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
@@ -15,20 +15,... | bash |
d_bash_16863 | ---
+++
@@ -19,5 +19,5 @@
echo "---------- Testing ----------"
cd ../tests
-python test.py StdLib/RangesTest.spr
-python test.py
+python test.py StdLib/RangesTest.spr --returnError
+python test.py --returnError | bash |
d_bash_16864 | ---
+++
@@ -2,7 +2,7 @@
set -eu
-splay=$((60*20))
+splay=$((60*60))
# The following sleep monstrosity deterministically sleeps for a
# period of time between 0-${splay} seconds in order to prevent all our
# deletion jobs running at the same time. See the commit message for | bash |
d_bash_16865 | ---
+++
@@ -4,7 +4,8 @@
cd "$(dirname "$(readlink -f "$BASH_SOURCE")")/.."
if [ "$TRAVIS_PULL_REQUEST" != 'false' ]; then
- if [ "$(git diff --numstat "$TRAVIS_COMMIT_RANGE" -- '*/README.md')" ]; then
+ git fetch -q https://github.com/docker-library/docs.git master
+ if [ -n "$(git diff --numstat FETCH_HEAD...HEA... | bash |
d_bash_16866 | ---
+++
@@ -36,7 +36,7 @@
local sqldump_path="$1"
echo "Stopping services..."
- docker-compose stop web celeryworker celerybeat
+ docker-compose stop web celeryworker celeryworkerslow celerybeat
echo "Dropping existing DB..."
docker-compose exec db \ | bash |
d_bash_16867 | ---
+++
@@ -14,7 +14,7 @@
#chflags nohidden ~/Library
# Disable dashboard
-#defaults write com.apple.dashboard mcx-disabled -boolean YES
+defaults write com.apple.dashboard mcx-disabled -boolean YES
# Set a really fast key repeat.
# defaults write NSGlobalDomain KeyRepeat -int 0
@@ -24,8 +24,8 @@
defaults wr... | bash |
d_bash_16868 | ---
+++
@@ -15,11 +15,11 @@
# create crypto
echo 'Creating Strong Diffie-Hellmann Group'
-openssl dhparam -out dhparams.pem 2048
+openssl dhparam -out dhparams.pem 2048 || exit 1
# build
echo 'Building image'
-docker build -t systemapic/nginx .
+docker build -t systemapic/nginx . || exit 1
# clean up
rm n... | bash |
d_bash_16869 | ---
+++
@@ -3,6 +3,7 @@
START=$(git rev-parse --abbrev-ref HEAD)
for COMMIT in $(git rev-list upstream/master.. --reverse)
do
+ git checkout .
git checkout $COMMIT
if [ $? -ne 0 ]
then | bash |
d_bash_16870 | ---
+++
@@ -3,7 +3,9 @@
set -u
set -e
-chmod -R 777 storage bootstrap/cache
+# the user when provisioning is `vagrant`, but files are created by `www-data`
+# don't fail if permissions don't get set on all files (useful when reloading the container)
+chmod -R 777 storage bootstrap/cache || true
if [ ! -d node_... | bash |
d_bash_16871 | ---
+++
@@ -35,7 +35,7 @@
export LC_ALL=en_US.UTF-8
#
echo "----------------------------------------"
-echo "==> time ./makeBritBoxSpreadsheet.sh -td"
+echo "==> time ./makeBBoxSpreadsheet.sh -td"
date
time ./makeBBoxSpreadsheet.sh -td
echo "" | bash |
d_bash_16872 | ---
+++
@@ -1,4 +1,4 @@
-cd `dirname \`gem contents trogdoro-el4r | grep setup.rb\``
+cd `dirname \`gem contents --prefix trogdoro-el4r | grep setup.rb\``
ruby setup.rb
cd bin/
ruby -S el4r-rctool -p | bash |
d_bash_16873 | ---
+++
@@ -7,7 +7,7 @@
declare -r ROOT=$(realpath $(dirname $0)/..)
declare -r TEST=$ROOT/src/NodaTime.Test
declare -r DOTCOVER_VERSION=2021.1.3
-declare -r REPORTGENERATOR_VERSION=4.0.12
+declare -r REPORTGENERATOR_VERSION=4.8.11
nuget.exe install -Verbosity quiet -OutputDirectory $ROOT/packages -Version $DOT... | bash |
d_bash_16874 | ---
+++
@@ -11,11 +11,7 @@
sudo apt-get -y install nodejs
sudo apt-get -y install firefox
sudo apt-get -y install libgl1-mesa-glx
-
-cd /home/vagrant/ && wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb
-sudo dpkg -i google-chrome-stable_current_amd64.deb
-sudo apt-get -y install -f
-... | bash |
d_bash_16875 | ---
+++
@@ -11,6 +11,7 @@
alias glog="git log --graph --pretty=format:'%Cred%h%Creset %an: %s - %Creset %C(yellow)%d%Creset %Cgreen(%cr)%Creset' --abbrev-commit --date=relative"
alias gp='git push origin HEAD'
alias gd='git diff'
+alias gds='git diff --staged'
alias gc='git commit'
alias gca='git commit -a'
ali... | bash |
d_bash_16876 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh
crVersion="v0.2.3"
-chartDir="./charts/orbit"
+chartDir="."
owner="orbit"
repo="orbit.githib.com/orbit"
token=$GITHUB_TOKEN | bash |
d_bash_16877 | ---
+++
@@ -8,7 +8,7 @@
--spawn_strategy=standalone \
--genrule_strategy=standalone \
--test_strategy=standalone \
- --local_resources=1536,1.5,0.5 \
+ --local_ram_resources=1536 \
--noshow_progress \
--verbose_failures \
--test_output=errors \ | bash |
d_bash_16878 | ---
+++
@@ -7,8 +7,8 @@
npm install
npm run build
cd ..
-node last-git-changes/bin.js --exclude='docs,examples,scripts,README.md,LICENSE,CONTRIBUTING.md'
-export CHANGED_COUNT=$(node last-git-changes/bin.js --exclude='docs,examples,scripts,README.md,LICENSE,CONTRIBUTING.md' | wc -l)
+node last-git-changes/bin.js -... | bash |
d_bash_16879 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-VERSION=0.3
+VERSION=0.4
TMPDIR=/tmp/google-api-php-client
RELFILE=/tmp/google-api-php-client-${VERSION}.tar.gz
@@ -11,6 +11,8 @@
cd $TMPDIR
find . -name ".*" -exec rm -rf {} \; &>/dev/null
find . -name "makeRelease.sh" -exec rm -rf {} \; &>/dev/null
+find . -name "local... | bash |
d_bash_16880 | ---
+++
@@ -5,4 +5,4 @@
# Don't show a '%' when the output ends without a newline
export PROMPT_EOL_MARK=""
-export ZSH_HIGHLIGHT_HIGHLIGHTERS=(main brackets)
+ZSH_HIGHLIGHT_HIGHLIGHTERS=(main brackets) | bash |
d_bash_16881 | ---
+++
@@ -34,7 +34,7 @@
--tls-dh-params-path "demo/demo.tls.dh" \
--media-store-path "demo/media_store.$port" \
$PARAMS $SYNAPSE_PARAMS \
- --disable-registration false
+ --enable-registration
python -m synapse.app.homeserver \
--config-path "demo/etc/$port.config" \ | bash |
d_bash_16882 | ---
+++
@@ -9,10 +9,6 @@
php bin/wait-for-db.php
vendor/bin/doctrine orm:schema-tool:update --force --complete
-mkdir -p data/DoctrineORMModule/Proxy
-mkdir -p data/mail
-chmod -R a+rw data
-
composer di-generate-aot
apache2-foreground | bash |
d_bash_16883 | ---
+++
@@ -19,4 +19,4 @@
echo "Startup will be finished in background...";
echo "Run 'tail -f ~/OpenTOSCA/nohup.log ~/wso2bps/nohup.log' to see what's happening";
echo "Wait a minute";
-echo "Open 'http://<HOST>:8088' in your browser to access the OpenTOSCA ecosystem";
+echo "Open 'http://`curl -s ifconfig.co`:80... | bash |
d_bash_16884 | ---
+++
@@ -5,8 +5,8 @@
#
set -evx
-
-sed -i -r "s/^(\s*)VERSION = \".+\"/\1VERSION = \"$(cat VERSION)\"/" lib/chef_fixie/version.rb
+VERSION=$(cat VERSION)
+sed -i -r "s/^(\s*)VERSION = \".+\"/\1VERSION = \"${VERSION}\"/" lib/chef_fixie/version.rb
# Once Expeditor finshes executing this script, it will commit... | bash |
d_bash_16885 | ---
+++
@@ -26,18 +26,6 @@
# Generate private- and public keys
sudo ./sasha/sasha/genkeys.sh
-# Install PiFace
-sudo apt-get install -y python-pifacecad python-pifacecommon
-
-# Enable SPI module
-sudo modprobe spi-bmc2708
-
-# Start the sysinfo service
-sudo service pifacecafsysinfo start
-
-# Enable service to ... | bash |
d_bash_16886 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-BABEL_COMMAND='./node_modules/babel-cli/bin/babel.js --presets=babili --no-comments'
+BABEL='./node_modules/babili/bin/babili.js --no-comments'
DIST_DIR=dist/
DIST_FILES=$(find dist/*.js -type f ! -name "*min.js")
@@ -14,5 +14,5 @@
DIR=$(dirname $file)
BASENAME=$(base... | bash |
d_bash_16887 | ---
+++
@@ -2,7 +2,7 @@
HEAP=100g
-java -Xmx${HEAP} -jar ./target/enju-ccg-assembly-0.1.jar -modelType tagger -actionType train -bankDirPath ccgbank-20130828 -saveModelPath tagger.out -numIters 2 -lookupMethod surfaceAndSecondWithConj -taggerTrainAlg adaGradL1 -lambda 0.000000005 -eta 0.1
+java -Xmx${HEAP} -jar ... | bash |
d_bash_16888 | ---
+++
@@ -9,7 +9,7 @@
git commit -m "Release version $tag and update docs" --author="orbit-tools <orbit@ea.com>"
# Get commit id
-commitId = $(git rev-parse HEAD)
+commitId=$(git rev-parse HEAD)
# Tag commit with the intended release tag (without the underscore)
git tag "$tag" | bash |
d_bash_16889 | ---
+++
@@ -27,6 +27,5 @@
pushd /opt/git > /dev/null
./sources-branch-updater.sh -o stable/ocata -b stable/ocata -s ./openstack_services.yml
-find ./openstack/ -name ".git" | xargs rm -rf
popd
| bash |
d_bash_16890 | ---
+++
@@ -18,5 +18,5 @@
[[ -z "$BUILDKITE_TAG" ]] || docker push "$REPO:$PREFIX-$SANITIZED_TAG"
echo '+++ :put_litter_in_its_place: Cleaning Up'
docker rmi "$REPO:$PREFIX-$SANITIZED_BRANCH"
-[[ -z "$BUILDKITE_TAG" ]] || docker rmi "$REPO:$PREFIX-$SANITIZED_TAG"
+[[ -z "$BUILDKITE_TAG" || "$SANITIZED_BRANCH" == "... | bash |
d_bash_16891 | ---
+++
@@ -6,26 +6,35 @@
# The directory that will contain the FTL test results
TEST_DIR=$2
+# Store the exit code from running the gcloud command. This is returned at the end of the script
+GCLOUD_EXIT_CODE=0
+
test_apk() {
- RESULTS_DIR=$1_$BUILD_ID
+ RESULTS_DIR=$1_$BUILD_ID
gcloud firebase test an... | bash |
d_bash_16892 | ---
+++
@@ -1,3 +1,6 @@
+# Noted that you have remove the remo
+ssh root@misscatandzuozuo.info rm -rf /mnt/ext/easy_download/
+ssh root@misscatandzuozuo.info mkdir /mnt/ext/easy_download/
scp -r ./dist/ root@misscatandzuozuo.info:/mnt/ext/easy_download/dist
scp ./Dockerfile root@misscatandzuozuo.info:/mnt/ext/easy_... | bash |
d_bash_16893 | ---
+++
@@ -15,3 +15,4 @@
git config --global core.excludesfile ~/.gitignore_global
git config --global core.pager "diff-so-fancy | less --tabs=4 -RFX"
+git config --global alias.tree "log --graph --decorate --pretty=oneline --abbrev-commit" | bash |
d_bash_16894 | ---
+++
@@ -2,5 +2,5 @@
git pull
bundle
jekyll b
-cp -r _site/* /var/www/bdibbell/www
+cp -R _site/* /var/www/bdibbell/www
echo DONE | bash |
d_bash_16895 | ---
+++
@@ -15,3 +15,4 @@
npm install -g watch
npm install -g babel-cli
npm install -g browserify
+npm install -g express-generator | bash |
d_bash_16896 | ---
+++
@@ -10,7 +10,7 @@
buildDir="${baseDir}/build/xamarin_Android/bin/Release"
htmldocDir="${baseDir}/dist/xamarin/htmldoc"
tempDir="${baseDir}/build/htmldoc"
-libraryDirs="-L /Developer/MonoAndroid/usr/lib/mandroid/platforms/android-10/ -L /Developer/MonoAndroid/usr/lib/mono/2.1 -L /Library/Frameworks/Mono.fra... | bash |
d_bash_16897 | ---
+++
@@ -17,7 +17,7 @@
#
# The bakes, in this environment, need to use the local debian repository
#
-sed -i.bak -e "s/# debianRepository: .*/debianRepository: http\:\/\/debianrepo.${2}:8000\/ binary\//" /opt/rosco/config/rosco.yml
+sed -i.bak -e "s/debianRepository: .*/debianRepository: http\:\/\/debianrepo.${... | bash |
d_bash_16898 | ---
+++
@@ -1,3 +1,4 @@
+include Comparator/Comparator.sh
include String/Validator/StringValidator.sh
StringUtil(){
@@ -12,7 +13,11 @@
local orig=${2}
local new=${3}
- if [[ ${new} == space ]]; then
+ if [[ $(Comparator isEqual ${orig} space) ]]; then
+ orig=" "
+ fi
+
+ if [[ $(Comparator isEqual $... | bash |
d_bash_16899 | ---
+++
@@ -13,7 +13,7 @@
--maintenance-policy "TERMINATE" \
--tags "worker" \
--image-family "${GPU_IMAGE}" --image-project "${GCLOUD_PROJECT}" \
- --boot-disk-size "20" --boot-disk-type "pd-standard"
+ --boot-disk-size "30" --boot-disk-type "pd-standard"
gcloud compute --project "${GCLOUD_PR... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.